Package org.opensaml.security.x509

# Class X509IssuerSerialCriterion

java.lang.Object
org.opensaml.security.x509.X509IssuerSerialCriterion

All Implemented Interfaces:
  `Criterion`

public final class X509IssuerSerialCriterion extends Object implements Criterion
An implementation of `Criterion` which specifies criteria based on X.509 certificate issuer name and serial number.

## Field Summary

Fields
Modifier and Type
Field
Description
`private X500Principal`
`issuerName`
X.509 certificate issuer name.
`private BigInteger`
`serialNumber`
X.509 certificate serial number.

## Constructor Summary

Constructors
Constructor
Description
`X509IssuerSerialCriterion(X500Principal issuer, BigInteger serial)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`X500Principal`
`getIssuerName()`
Get the issuer name.
`BigInteger`
`getSerialNumber()`
Get the serial number.
`int`
`hashCode()`
`void`
`setIssuerName(X500Principal issuer)`
Set the issuer name.
`void`
`setSerialNumber(BigInteger serial)`
Set the serial number.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### issuerName

@Nonnull private X500Principal issuerName
X.509 certificate issuer name.

### serialNumber

@Nonnull private BigInteger serialNumber
X.509 certificate serial number.

## Constructor Details

### X509IssuerSerialCriterion

public X509IssuerSerialCriterion(@Nonnull X500Principal issuer, @Nonnull BigInteger serial)
Constructor.

Parameters:
  `issuer` - certificate issuer name
  `serial` - certificate serial number

## Method Details

### getIssuerName

@Nonnull public X500Principal getIssuerName()
Get the issuer name.

Returns:
  Returns the issuer name.

### setIssuerName

public void setIssuerName(@Nonnull X500Principal issuer)
Set the issuer name.

Parameters:
  `issuer` - The issuer name to set.

### getSerialNumber

@Nonnull public BigInteger getSerialNumber()
Get the serial number.

Returns:
  Returns the serial number.

### setSerialNumber

public void setSerialNumber(@Nonnull BigInteger serial)
Set the serial number.

Parameters:
  `serial` - The serial number to set.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`